#include <iostream>

using namespace std;

int main()
{
    int N,K,x,y;
    cin >> N >>K;
    int karte[N];
    int br=0;
    for(int i =0;i<N;i++){
        cin >> karte[i];
    }
    for(int i =0;i<N;i++){
       if(karte[i]==K&&i<N-1){
        cout << karte[i+1];
       }else if(karte[i]==K&&i==N-1){
           cout << karte[0];
       }
    }

    return 0;
}